summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_coreboot.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-07 14:13:26 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-07 14:13:26 +0200
commita813a6f122905e422155a02ee4d3b2d63ad5143c (patch)
treedb09feddbc5d1703e2fe14cd6cd44daee32e4561 /bin/reproducible_coreboot.sh
parent0a3367a9db34bcc900f65df94b4f6c1fd4695f26 (diff)
downloadjenkins.debian.net-a813a6f122905e422155a02ee4d3b2d63ad5143c.tar.xz
reproducible coreboot: add variations of PATH, umask and kernel version
Diffstat (limited to 'bin/reproducible_coreboot.sh')
-rwxr-xr-xbin/reproducible_coreboot.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index d33d7a18..ebc315e0 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -118,7 +118,8 @@ NUM_CPU=$(cat /proc/cpuinfo |grep '^processor'|wc -l)
sed -i "s#cpus=1#cpus=$NUM_CPU#" util/abuild/abuild
sed -i 's#USE_XARGS=1#USE_XARGS=0#g' util/abuild/abuild
# actually build everything
-nice ionice -c 3 bash util/abuild/abuild || true # don't fail the full job just because some targets fail
+nice ionice -c 3 \
+ bash util/abuild/abuild || true # don't fail the full job just because some targets fail
cd coreboot-builds
for i in * ; do
@@ -136,14 +137,21 @@ echo "==========================================================================
export TZ="/usr/share/zoneinfo/Etc/GMT-14"
export LANG="fr_CH.UTF-8"
export LC_ALL="fr_CH.UTF-8"
+export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/i/capture/the/path"
+umask 0002
# use allmost all cores for second build
NEW_NUM_CPU=$(echo $NUM_CPU-1|bc)
sed -i "s#cpus=$NUM_CPU#cpus=$NEW_NUM_CPU#" util/abuild/abuild
-nice ionice -c 3 bash util/abuild/abuild || true # don't fail the full job just because some targets fail
+nice ionice -c 3 \
+ linux64 --uname-2.6 \
+ bash util/abuild/abuild || true # don't fail the full job just because some targets fail
+# reset environment to default values again
export LANG="en_GB.UTF-8"
unset LC_ALL
export TZ="/usr/share/zoneinfo/UTC"
+export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:"
+umask 0022
cd coreboot-builds
for i in * ; do